### Enumeration

# St IconStyle

since: 14

#### Declaration

    enum St.IconStyle

#### Description [src]

Used to specify options when looking up icons.

Available since: 14

#### Members

`ST_ICON_STYLE_REQUESTED`

  Lookup the style requested in the icon name.

  - Value: `0`
  - Nickname: `requested`
  - Available since: 14
`ST_ICON_STYLE_REGULAR`

  Try to always load regular icons, even when symbolic icon names are given.

  - Value: `1`
  - Nickname: `regular`
  - Available since: 14
`ST_ICON_STYLE_SYMBOLIC`

  Try to always load symbolic icons, even when regular icon names are given.

  - Value: `2`
  - Nickname: `symbolic`
  - Available since: 14